
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set(TAG_PARSER_HAS_SHARED_LIB "ON")
set(TAG_PARSER_SHARED_LIB "tagparser")
set(TAG_PARSER_SHARED_LIB_COMPILE_DEFINITIONS )
set(TAG_PARSER_HAS_STATIC_LIB "OFF")
set(TAG_PARSER_STATIC_LIB "tagparser.a")
set(TAG_PARSER_STATIC_LIB_DEPENDS )
set(TAG_PARSER_STATIC_LIB_COMPILE_DEFINITIONS TAG_PARSER_STATIC)
set(TAG_PARSER_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set(TAG_PARSER_BIN_DIR "${PACKAGE_PREFIX_DIR}/bin")
set(TAG_PARSER_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib")
set(TAG_PARSER_MODULE_DIRS "${PACKAGE_PREFIX_DIR}/share/tagparser/cmake/modules")
set(TAG_PARSER_CONFIG_DIRS "${PACKAGE_PREFIX_DIR}/share/tagparser/cmake")

if(TAG_PARSER_HAS_SHARED_LIB)
    set(TAG_PARSER_LIB "${TAG_PARSER_SHARED_LIB}")
else()
    set(TAG_PARSER_LIB "${TAG_PARSER_STATIC_LIB}")
endif()

macro(use_TAG_PARSER)
    include_directories(BEFORE SYSTEM ${TAG_PARSER_INCLUDE_DIRS})
    link_directories(${TAG_PARSER_LIB_DIR})
    # add library to list of libraries to link against when building dynamic libraries or applications
    if(TAG_PARSER_HAS_STATIC_LIB AND ((NOT ARGV0 AND ((STATIC_LINKAGE AND "${META_PROJECT_TYPE}" STREQUAL "application") OR (STATIC_LIBRARY_LINKAGE AND ("${META_PROJECT_TYPE}" STREQUAL "" OR "${META_PROJECT_TYPE}" STREQUAL "library")))) OR ("${ARGV0}" STREQUAL "STATIC") OR (NOT ARGV0 AND NOT TAG_PARSER_HAS_SHARED_LIB)))
        list(APPEND LIBRARIES ${TAG_PARSER_STATIC_LIB} ${TAG_PARSER_STATIC_LIB_DEPENDS})
        message(STATUS "Linking ${META_PROJECT_NAME} statically against tagparser (${TAG_PARSER_STATIC_LIB} ${TAG_PARSER_STATIC_LIB_DEPENDS}).")
        list(APPEND ADDITIONAL_STATIC_COMPILE_DEFINITIONS ${TAG_PARSER_STATIC_LIB_COMPILE_DEFINITIONS})
    elseif(TAG_PARSER_HAS_SHARED_LIB AND (NOT ARGV0 OR ("${ARGV0}" STREQUAL "SHARED")))
        list(APPEND LIBRARIES ${TAG_PARSER_SHARED_LIB})
        message(STATUS "Linking ${META_PROJECT_NAME} dynamically against tagparser (${TAG_PARSER_SHARED_LIB}).")
        list(APPEND ADDITIONAL_SHARED_COMPILE_DEFINITIONS ${TAG_PARSER_SHARED_LIB_COMPILE_DEFINITIONS})
    elseif(ARGV0)
        message(FATAL_ERROR "Can not link ${META_PROJECT_NAME} against tagparser with the specified linkage ${ARGV0}.")
    else()
        message(FATAL_ERROR "Can not link ${META_PROJECT_NAME} against tagparser.")
    endif()
    # add library (including dependencies) to list of libraries to be provided as transitive dependencies when building static libraries
    list(APPEND STATIC_LIBRARIES ${TAG_PARSER_STATIC_LIB} ${TAG_PARSER_STATIC_LIB_DEPENDS})
    message(STATUS "Adding ${TAG_PARSER_STATIC_LIB} ${TAG_PARSER_STATIC_LIB_DEPENDS} to static library dependencies of ${META_PROJECT_NAME}.")
    # make CMake modules of the project available
    list(APPEND CMAKE_MODULE_PATH ${TAG_PARSER_MODULE_DIRS})
endmacro()
